' -------------------------------------------------------------------------
'       From the book Inside Active Directory, ISBN 0-201-61621-1
'       Copyright (C) 2002 by Addison-Wesley
'       Script by Sakari Kouti (see http://www.kouti.com)
' You have a royalty-free right to use, modify, reproduce and distribute
' this script (and/or any modified version) in any way you find useful,
' provided that you agree that Addison-Wesley or Sakari Kouti has no
' warranty, obligations or liability for the script. If you modify
' the script, you must retain this copyright notice.
' -------------------------------------------------------------------------
Option Explicit

Dim objDSE, objSchema, objChild, i, j, strGUID, arrValue, strByte

Set objDSE = GetObject("LDAP://rootDSE")
Set objSchema = GetObject("LDAP://" & _
	objDSE.Get("schemaNamingContext"))

i = 0
For Each objChild In objSchema
	arrValue = objChild.schemaIDGUID
	If (vbArray And VarType(arrValue)) <> 0 Then
		i = i + 1
		strGUID = FormatNumber(i,0) & " " & objChild.Name & ": " & _
			objChild.Get("lDAPDisplayName") & ": "
		For j = 1 to LenB(arrValue)
			strByte = Hex(AscB(MidB(arrValue, j, 1)))
			If Len(strByte) = 1 Then strByte = "0" & strByte
			strGUID = strGUID & strByte
		Next
		WScript.Echo strGUID
	End If
Next
